
==== version history for MailTools

version 2.21: Tue 21 May 16:26:30 CEST 2019

	Fixes:
	- fix metadata [Mohammad S Anwar]

	Improvements:
	- add more to the README
	- add Mail::Mailer option StartSSL for smtp backend
	  rt.cpan.org#125871 [Guilhem Moulin]
	- deprecate Mail::Mailer backend smtps
	- document need for escaping docs for Mail::Send
	  rt.cpan.org#129627 [Jonathan Kamens]
	- document limit on parameters for Mail::Send::new()
	  rt.cpan.org#129633 [Sven Neuhaus]

version 2.20: Mon 22 Jan 18:14:44 CET 2018

	Improvements:
	- rewrite doc syntax to my current standard style.
	- text corrections rt.cpan.org#123823 [Ville Skyttä]
	- text corrections rt.cpan.org#123824 [Ville Skyttä]
	- convert to GIT
	- move to GitHUB

version 2.19: Tue 22 Aug 13:30:41 CEST 2017

	Improvements:
	- block namespace MailTools rt.cpan.org#120905 [Karen Etheridge]

version 2.18: Wed 18 May 23:52:30 CEST 2016

	Fixes:
	- Mail::Header should accept \r in empty line which ends the
	  header.  rt.cpan.org#114382 [Ricardo Signes]

version 2.17: Wed 11 May 17:20:21 CEST 2016

	Fixes:
	- Mail::Header should only accept totally empty lines as header
	  terminator, not to break MIME::Tools regression tests.
	  rt.cpan.org#113918 [David Cantrell]

version 2.16: Mon 18 Apr 17:58:23 CEST 2016

	Fixes:
	- Mail::Header regression in parsing files.
	  rt.cpan.org#113874 [John L Berger]

version 2.15: Mon 18 Apr 13:55:30 CEST 2016

	Fixes:
	- Mail::Header continue reading after wrongly folders line
	  rt.cpan.org#113464 [Mark Sapiro]

	Improvements:
	- Mail::Mailer::open call of exec() explained [Malte Stretz]
	- fix example in Mail::Address [peter77]

version 2.14: Fri Nov 21 17:12:42 CET 2014

	Fixes:
	- threads and Mail::Field initiation
	  rt.cpan.org#99153 [Autumn Lansing] and [Arne Becker]

	Improvements:
	- warn when loading of some Mail::Field::* fails [Arne Becker]

version 2.13: Sun Jan  5 18:52:25 CET 2014

	Fixes:

	- optional 'from' and 'on' component in in-reply-to are comments
	  rt.cpan.org#89371 [Ward Vandewege]
	- mailcap \\\\ -> \\
	  rt.cpan.org#89802 [Kevin Ryde]

	Improvements:

	- fix typos  rt.cpan.org#87188 [D Steinbrunner]

version 2.12: Fri Dec 21 12:18:51 CET 2012

	Fixes:

	- default for Mail::Header::new(Modify) is 'false', not 'true'
	  rt.cpan.org#79985 [Thomas Sibley]

	- Mail::Address take username with rindex(), a bit better than
	  index() but still poor.
	  rt.cpan.org#82056 [Filipe Gonçalves]

	Improvements:

	- check for bad folding of header lines
	  rt.cpan.org#79993 [Thomas Sibley]

	- add a note about better to avoid Mail::Address->name(),
	  in response to a question by
	  rt.cpan.org#81459 [Moritz Lenz]

version 2.11: Wed Aug 29 09:09:47 CEST 2012

	Fixes:

	- typo in Mail::Mailer::smtp, which only shows up in >5.14
	  [cpantesters]

version 2.10: Tue Aug 28 09:41:52 CEST 2012

	Fixes:

	- Mail::Mailer::smtp set from address twice.
	  rt.cpan.org#77161 [Vladimir Goshev]

	- Mail::Mailer::smtps did not support the From option.
	  rt.cpan.org#77161 [Vladimir Goshev]

	Improvements:

	- Mail::Util::mailaddress has now an optional parameter to
	  set the returned value explicitly.
	  rt.cpan.org#75975 [Rolf G]

version 2.09: Sat Feb 25 14:47:39 CET 2012

	Improvements:

	- remove dependency to Test::Pod by moving 99pod.t from t/
	  to xt/ as result of rt.cpan.org#69918 [Martin Mokrejs]

version 2.08: Wed Jun  1 13:55:34 CEST 2011

	Fixes:

	- respect errors on closing a Mail::Mailer::smtp/::smtps connection.
	  [Tristam Fenton-May]

	- Mail::Internet should accept Net::SMTP::SSL as well.
	  rt.cpan.org#68590 [Jonathan Kamens]

	Improvements:

	- document that Mail::Mailer::smtps needs Authen::SASL
	  [Marcin WMP Janowski]

version 2.07: Fri Oct  1 12:39:43 CEST 2010

	Improvements:

	- update README: MailTools 2.* require 5.8.1
	  rt.cpan.org#61753 [Alexandre Bouillot]

	- add "MAIL FROM" to Mail::Mailer::smtp, to be able to
	  communicate with Comcast [David Myers]

version 2.06: Tue Jan 26 10:01:22 CET 2010

	Improvements:

	- express more clearly that Authen::SASL needs to be installed
	  manually if you need the functionality

	- support for smtps via Net::SMTP::SSL, by [Maciej Żenczykowski]

version 2.05: Fri Dec 18 22:39:21 CET 2009

	Fixes:

	- no de-ref error when index out of range in Mail::Header::get()
	  [Bob Rogers]

	- repaired fixed selection of smtp for non-unix systems.

	Improvements:

	- do not run pod.t in devel environment.

	- set default output filename for Mail::Mailer::testfile::PRINT
	  [Kaare Rasmussen[

	- warn when no mailers were found.
	  rt.cpan.org#52901 [Christoph Zimmermann]

version 2.04: Tue Jul 29 11:44:26 CEST 2008

	Fixes:

	- Mail::Field::_require_dir complained on 5.10 about a closed
	  dirhandle.  rt.cpan.org#37114 [Manuel Hecht]

	- Bcc line removed before collecting addresses. [Jørgen Thomsen]

	Improvements:

	- add "die" to "close()" in synopsis of Mail::Send and
	  Mail::Mailer.  rt.cpan.org#36103 [Ed Avis]

version 2.03: Mon Apr 14 11:13:31 CEST 2008

	Fixes:

	- Netware needs to use smtp as well [Günter Knauf]

	- Mail::Field::extract() fixed.  Reported by [Andrea Venturol]

version 2.02: Fri Nov 30 09:57:48 CET 2007

	Fixes:

	- Mail::Internet uses Mail::Util::mailaddress, which is
	  not exported by default.
	  rt.cpan.org#31082 [Dave], rt.cpan.org#31070 [Friedrich Haubensak]
	  and [Slaven Rezic]

	Improvements:

	- use 3-arg open() in Mail::Util.
	  rt.cpan.org#20726 [Steve@sliug] and [Paul@city-fan]

version 2.01: Wed Nov 28 10:48:24 CET 2007

	Changes:

	- Remove work-around for Perl 5.8.0. unicode bug from
	  Mail::Address::_extract_name().
	  Result of rt.cpan.org#30661 [Josh Clark]

	- Requires on Perl 5.8.1 minimum

	Fixes:

	- Mail::Mailer::testfile now also shows Cc destinations, the
	  setting of 'outfile' now works, and it will produce an error
	  when the data cannot be written.  All thanks to [Slaven Rezic]

version 2.00_03: Tue Sep 25 12:27:28 CEST 2007

	- folding of header fields sometimes ended prematurely.
	  Reported by [Anthony W. Kay]

	- add $sender as 4th argument to Mail::Mailer::*::exec() where
	  missing.  Discovered by [David Hand]

	- add Date::Format and Date::Parse to Makefile.PL.

version 2.00_02: Sat Jul 21 12:29:20 CEST 2007

	- parts of the documentation were lost, discovered by [Ricardo Signes]

	- rt.cpan.org #28093 smtp timeout
	  check for local mail server can have short timeout.
	  Patch by [Alexandr Ciornii]

	- rt.cpan.org #28411 syntax error in Mail::Mailer::smtp
	  reported by [Andreas Koenig]

version 2.00_01: Wed Jun 20 14:42:35 CEST 2007

	- reorganized installation of MailTools, in a modern way.  This
	  may break installation on very old releases of Perl.

	- added t/pod.t

	- restructured most code, no functional changes.

	- added and cleaned a lot of documentation, using OODoc to
	  generate nice manuals in POD and HTML.

	- extracted Mail::Field::Generic from Mail::Field

	- added mysteriously missing Mail::Field::AddrList::addr_list()

version 1.77: Fri May 11 14:16:01 CEST 2007

	- fixed syntax error in qmail.pm, patch by [Alexey Tourbin]
	  also reported by [Volker Paulsen]

	- die if qmail's exec fails.

	- require Data::Format

	- corrected header field folding according to rfc2822, which
	  may break some ancient (poor) applications.
	  Patch by [Christopher Madsen]

version 1.76: Tue Apr 10 09:25:29 CEST 2007

	- The tag (field label) casing is "normalized" which is not
	  required (as the comment in the code told), but a mis-
	  feature.  The feature will not change, to avoid breaking
	  existing code. Original report by [Matt Swift]

	- Do not ignore unknown argument to Mail::Internet::new(),
	  but complain about it [JPBS]

	- Document that the \n is still after a header line, but folding
	  is removed. Suggested by [Roberto Jimenoca]

	- Document that unfolding is too greading, taking all leading
	  blanks where only one should be taken. Suggested by
	  [Roberto Jimenoca]

version 1.75: Wed Jun 14 15:30:25 CEST 2006

	- [Mike Lerley] reported that environment variables are not
	  thread-safe in mod_perl.  Therefore, we must pass the
	  sender of the message explicitly on qmail's command-line.
	  His addapted patch included.

version 1.74: Tue Feb 28 08:39:14 CET 2006

	- Finally fixed exec with SMTP, with help from [Jun Kuriyama]

version 1.73: Sat Jan 21 09:54:13 CET 2006

	- Added 'use Mail::Util' to Mail::Mailer::testfile to produce
	  mailaddress();

	- Improved exec() call from version 1.67 a little more.  Let's hope
	  that SMTP works again.

version 1.72: Tue Jan 17 09:04:37 CET 2006

	- release 1.70 broke SMTP sending.  Detected by [J Meyers]

version 1.71: Thu Jan  5 11:20:52 CET 2006

	- grrrr tests failed

version 1.70: Thu Jan  5 11:17:05 CET 2006

	- Mail::Mailer::testfile.pm adds "from" display to trace output.
	  [wurblzap]

	- fixed regex in Mail::Address [J Meyers]

version 1.68: Thu Jan  5 10:29:25 CET 2006

	- Updated copyright year.

	- Removed 'use locale' from Mail::Address, which tainted the
	  parsed address.  E-mail addresses are ASCII, so this 'locale'
	  thing seems flawed.

	- $adr->name will refuse charset-encoded names.  Found by [kappa]

	- Improve parse-regexes in Mail::Address. By [J Meyers] and me.

version 1.67: Thu Mar 31 12:05:31 CEST 2005

	- Mail::Mailer unfolded the header before sending, which is
	  incorrect. Reported by [Byron Jones]

	- Mail::Header refolded already folded lines destroying
	  blanks.  Signaled by [Byron Jones]

	- Mail::Utils::maildomain now understands DM$m.  Patch by
	  [Nate Mueller]

	- When a Mail::Mailer exec() failes, DESTROY is called on all
	  parential files.  Not anymore thanks to [Randall Lucas]
	  
version 1.66: Thu Jan 20 10:16:10 CET 2005

	- Extended explanation that Mail::Address is limited.

	- Added examples/mail-mailer.pl, contributed by [Bruno Negrão]

	- use Mail::Mailer qw(mail) sets default mailer.  Doc update by
	  [Slavan Rezic]

	- Mail::Mailer::smtp now can authenticate SSL [Aaron J. Mackey]

version 1.65: Wed Nov 24 15:43:17 CET 2004

	- Remove "minimal" comments from Mail::Address

        - [Dan Grillo] suggested some improvements to Mail::Address::name(),
	  and some more were added.

	- [Slavan Rezic] small typo.

version 1.64: Tue Aug 17 22:24:22 CEST 2004

	- CPAN failed to index 1.63 correctly, so hopefully it will
	  work now.

version 1.63: Mon Aug 16 17:28:15 CEST 2004

	- [Craig Davison] Fixed date format in Mail::Field::Date to
	  comply to the RFC

	- [Alex Vandiver] patched the email address parser to be able
	  to understand a list of addresses separated by ';', as Outlook
	  does. The ';' is the group separator, which was not understood
	  by MailTools before, but valid according to the RFCs.

	- [Torsten Luettgert] found that field labels like '-' where not
	  beautified correctly.

	- [Slavan Rezic] Updated doc in Mail::Mailer: referred to $command 
	  which doesn't mean anything, and "testfile" is working differently.

	- [chris] Mail::Message::Field::wellformedName() will upper-case
	  *-ID as part in the fieldname.

version 1.62: Wed Mar 24 13:29:27 CET 2004

	- [Reuven M. Lerner], removed warning by Mail::Address::host()
	  when no e-mail address is provided.

	- [Ville Skytta] contributed another Mail::Mailer::testfile fix

version 1.61: Wed Mar 10 10:51:44 CET 2004

	- [Erik Van Roode] Mail::Mailer::test.pm -> Mail::Mailer::testfile.pm

	- [Jérôme Dion] corrected the folding of lines: folds start only
	  with one blank according to rfc2822.

	- Added a big warning against automatic sender email address
	  detection as provided by Mail::Util::mailaddress().  Please
	  explicitly set MAILADDRESS. This after a discussion with
	  [Wolfgang Friebel].

	- Mail::Address->format should quote phrases with weird character.
	  Patched based on patch by [Marc 'HE' Brockschmidt]

	- [Ruslan U. Zakirov] reported confusing error message when no
	  MailerType was specified.

	- [Steve Roberts] fixed folding to produce longer lines.

version 1.60: Wed Sep 24 09:20:30 CEST 2003

	- [Henrique Martins] found that enclosing parenthesis where not
	  correctly stripped when processing a Mail::Address.

	- [Tony Bowden] asked for a change in Mail::Address::name, where
	  existing (probably correct) capitization is left intact.  The
	  _extract_name() can be called as method, is needed, such that
	  it can be extended.

version 1.59: Wed Aug 13 08:13:00 CEST 2003

	- Patch by [Shafiek Rasdien] which adds Mail::Internet::smtpsend
	  option MailFrom.

	- [Ziya Suzen] extended Mail::Mailer::test to provide more
	  test information.

	- Added SWE (Sender Waranted E-mail) as abbreviation in field
	  names which is always in caps, on request by [Ronnie Paskin]

	- Added SOAP and LDAP as abbreviation in field names which is
	  always in caps.

version 1.58: Tue Jan 14 14:42:29 CET 2003

	- And again utf8 [Philip Molter]

version 1.57: Tue Jan 14 09:47:46 CET 2003

	- Added myself to the copyright notices... dates needed an update
	  as well.

	- Typos in Mail::Internet [Florian Helmberger]

	- More tries to program around perl5.8.0's uc/lc-utf8 bugs in
	  regexps [Autrijus Tang and Philip Molter]

version 1.56: Mon Jan  6 17:13:17 CET 2003

	- And again, the patches of Autrijus had to be adapted to run on
	  a perl 5.6.1 installation.  Thanks to [Philip Molter]

version 1.55: Mon Jan  6 08:05:58 CET 2003

	- One explicit utf8::downgrade for 5.8.0, this time for
	  Mail::Address by [Autrijus Tang].

version 1.54: Mon Jan  6 08:00:00 CET 2003

	- Another try to avoid the utf8 problems, this time by
	  [Philip Molter]

	- Two explicit utf8::downgrades for 5.8.0, this time for
	  Mail::Field by [Autrijus Tang].

version 1.53: Mon Dec  9 17:53:27 CET 2002

	- New try on work-around for bug in perl 5.8.0 unicode \U within
	  s/// Patched in Mail::Header by [Autrijus Tang]

version 1.52: Fri Nov 29 13:52:00 CET 2002

	- Work-around for bug in perl 5.8.0 unicode \U within s///
	  Patched in Mail::Header by [Autrijus Tang]

version 1.51: Tue Oct 29 14:25:28 CET 2002

	- Mail::Util::maildomain() if no information about domains
	  is found in sendmail.cf, no error should be reported.
	  [Vaughn Skinner]

	- Removed the possibility to use 'mailx', which was the
	  default: removal from the detectionn routines and Mail/Mailer/mail.pm.
	  Strongly suggested by [Sebastian Krahmer]

version 1.50: Wed Sep  4 00:38:49 CEST 2002

	- Mail::Util::domainname() Patch to remove use of S variable from
	  sendmail.cf, because its inclusion is contra-productive.
	  [Timur Bakeyev]

	- Mail::Util::domainname() Clean domain from sendmail.cf from
	  trailing trash (if present) [Timur Bakeyev]

	- Mail::Util::domainname()  Added environment variable MAILDOMAIN
	  to overrule smart domain discovery. [Timur Bakeyev]

version 1.49: Wed Aug 28 08:36:58 CEST 2002

	- t/internet.t defaults $ENV{LOGNAME} to avoid warnings in tests
	  when that variable is not defined. [Chromatic]

	- Mail::Mailer::_clean_up left an extra space behind each header
	  line. Patched by [Robert Spier]

	- Mail::Mailer::_clean_up now also trims folded headerlines on more
	  than two lines.

version 1.48: Wed Aug  7 22:54:56 CEST 2002

	- Mail::Mailer::test only worked in UNIX, because it used the 'test',
	  'sh' and 'cat' command. [Matt Selsky] provided a patch to remove
	  these dependencies.  It may not work on ancient perl versions, but
	  that is not really a problem for a testing facility.

	- The fix for nested comments in Mail::Address's, which went in a long
	  time ago, broke the parser.  As example
	   "Mark Overmeer <mailtools@overmeer.net> (mailtools maintainer)"
	  was parsed into two separate objects.... wrong.
	  [Nicholas Oxhøj] reversed the patch.

version 1.47: Fri Jul  5 12:02:55 CEST 2002

	- Mail::Mailer::_cleanup_headers unfolds the header lines, but
	  forgot to remove the indentation blanks as was discovered by
	  [Meng Weng Wong]

	- Mail::Cap::new has two new options:
	  filename => FILENAME,   which is just long for FILENAME only
	  take => 'ALL', to include all mail-cap files, not only the
	  first one found.  Contributed by [Oleg Muravskiy]

version 1.46: Wed May 29 15:08:44 CEST 2002

	- [Philip Molter] discovered my typo in Mail/Mailer/rfc822.pm
	  which forced me to release a new version....

version 1.45: Thu May 23 10:15:59 CEST 2002

	- [Mark D. Anderson] Add Content-Disposition to the list
	  of structured header fields in Mail::Header.

	- [David Weeler] Added darwin to `mail' versions which require
	  '-I' in Mail::Mailer.

	- [Leon Avery] updated Mail/Mailer/rfc822.pm to be more
	  careful with multi-lined, multi-occurrence headers.

	- [Drieux] small fix in Mail/Mailer/smtp.pm which enables the
	  passing-on of args to Net::SMTP.

	- {Mark Overmeer] Put a message about Mail::Box in Mail::Internet

version 1.44 Sat Mar 23 10:16:47 CET 2002

	- [Andreas Marcel Riechert] add -I to mailx for netbsd and
	  openbsd too.

	- [Nate Mueller] Do respect user's X-Mailer in Mail::Internet
	  above own line.

	- [Alexey Egorov] Header-line without body lost line-separator
	  in Mail::Header.pm

	- [Bo Adler] and [Iosif Fettich] Found that I removed a blank
	  before 'sub smtpsend' which caused AutoSplit to misbehave.

version 1.43: Fri Feb  8 09:43:25 CET 2002

	- [Jason Burnett] Added debug option for Net::SMTP for
	  Mail::Mail::smtp.

	- [Slavan Rezic] + [Jonathan Stowe] Added eval around getpwuid,
	  to avoid croak on Windows.

	- [Slavan Rezic] minor doc update.  The documentation is
	  still poor.

	- A lot of people complaint (and that after so many years that the
	  module is active) about folder lines within words or strings.
	  The mistake in the original implementation was that it tried to
	  fold too hard; folding is a service, but no requirement.
	  So: that overly active folding is removed now.

version 1.42: Mon Dec 10 19:22:01 CET 2001

	- Moved examples from bin/ to examples/, so people may be
	  able to find them.

	- Mail::Util now also tries sendmail option S for domainname.
	  Patched by [Todd R. Eigenschink]

	Included Debian changes by [Steve Kowalik]:
	- Added Mail::Mailer::qmail

version 1.41: Wed Nov 14 10:35:57 CET 2001

	- Mail::Util::maildomain did not expand variables.  Fixed the
	  regular expression.  Reported by [Jean-Damien Durand]

	- [Henrik Gemal] wished better warnings in Mail::Address::parse,
	  which are provided now.

	- [Lucas Nussbaum] reported incorrect folding of unstructured
	  header lines.  The whole idea of folder unstructured fields
	  is flawed, as far as I know, but anyway noone apparently had
	  sufficient long subject fields to find-out ;)
	  Fixed in Mail::Mailer.

version 1.40: Fri Aug 24 20:15:30 CEST 2001

	- mailaddress defaults to username, not gcos in Mail/Util.pm
	  Patched by [Vivek Khera]

	- Increased all version-numbers to show that maintainer-address
	  did change.   Suggested by [Tassilo v Parseval]

	  All packages in this bundle with have the same version!!!
	  The highest number used was 1.33.

version 1.16: Wed Aug  8 11:28:26 CEST 2001
	by Mark Overmeer <mailtools@overmeer.net>

	From now on MailTools will be maintained by Mark Overmeer
	<mailtools@overmeer.net>

	- Updated all manual-pages to include address of new maintainer.

	- Prohibition to modify header should be respected in Mail::Header.
	  Patch by [Tatsuhiko Miyagawa]

	- Securely close socket in Mail::Mailer::smtp.
	  Patch by [Heikki Korpela]

	- Fixed "bad file-descriptor" errors in Mail::Mailer::smtp.
	  Patch by [Aaron J Mackey]

	- Some long header-lines caused the following line in the header
	  to be indented too.  This should be fixed.
	  Reported by [Simon Cozens]

	- Small modifications to Mail::Mailer should make the module
	  work for os2.  Patch by [Ilya Zakharevich]

	- Fix to be able to specify an index at the first addition of
	  a header-line to the Mail::Header structure.
	  Patch by [Lucas Fisher]


Change 583 on 2000/09/04 by <gbarr@pobox.com> (Graham Barr)

	Mail::Address
	- Remove some unneeded \'s in regex patterns (to keep 5.7.0 quiet)

Change 582 on 2000/09/04 by <gbarr@pobox.com> (Graham Barr)

	Mail::Alias
	- Removed. Now distributed separatly and maintained by
	  Tom Zeltwanger (ZELT)

Change 581 on 2000/09/04 by <gbarr@pobox.com> (Graham Barr)

	Mail::Mailer
	- Remove newlines from the lines in the Mail::Header object

Change 575 on 2000/08/24 by <gbarr@pobox.com> (Graham Barr)

	Mail::Mailer::mail
	- Fix problems with open(STDERR) when using under FCGI

Change 571 on 2000/08/24 by <gbarr@pobox.com> (Graham Barr)

	Mail::Mailer
	- Deafulr Win32 to smtp

Change 521 on 2000/05/16 by <gbarr@pobox.com> (Graham Barr)

	Mail::Internet
	- Added Debug and Port options to smtpsend

Change 520 on 2000/05/16 by <gbarr@pobox.com> (Graham Barr)

	Mail::Header
	- Another fix for badly formed headers in _fold_line
	- get MIME right in _tag_case

Change 519 on 2000/05/16 by <gbarr@pobox.com> (Graham Barr)

	t/mailcap.t
	- Do not assume user has perl in $PATH

Change 502 on 2000/05/02 by <gbarr@pobox.com> (Graham Barr)

	Mail::Field
	- readdir returns files in the correct case, duh!

Change 501 on 2000/04/30 by <gbarr@pobox.com> (Graham Barr)

	Mail::Header
	* Don't attempt to do a structured fold on non-structured header lines

Change 498 on 2000/04/30 by <gbarr@pobox.com> (Graham Barr)

	Mail::Cap
	- Fix pod typo

Change 490 on 2000/04/14 by <gbarr@pobox.com> (Graham Barr)

	Remove test in t/internet.t that sends an Email

Change 457 on 2000/03/29 by <gbarr@pobox.com> (Graham Barr)

	Release 1.14

Change 456 on 2000/03/29 by <gbarr@pobox.com> (Graham Barr)

	Makefile.PL
	- Added PPD stuff

Change 429 on 2000/03/28 by <gbarr@pobox.com> (Graham Barr)

	Makefile.PL changes

Change 428 on 2000/03/28 by <gbarr@pobox.com> (Graham Barr)

	Mail::Mailer::sendmail
	- Remove @$to from command line as we pass -t

Change 427 on 2000/03/28 by <gbarr@pobox.com> (Graham Barr)

	Mail::Send
	- to,cc and bcc should pass addresses as a list not as single
	  string of , separated addresses

Change 426 on 2000/03/28 by <gbarr@pobox.com> (Graham Barr)

	Mail::Mailer::smtp
	- override the close method from Mail::Mailer

Change 425 on 2000/03/28 by <gbarr@pobox.com> (Graham Barr)

	Mail::Internet
	- _prephdr needed to use Mail::Util

Change 424 on 2000/03/28 by <gbarr@pobox.com> (Graham Barr)

	Mail::Field
	- Generic packages do not have a file to require, so only require
	  if !$pkg->can('stringify')

Change 416 on 2000/03/28 by <gbarr@pobox.com> (Graham Barr)

	undef warning fix in Mail::Mailer::is_exe

Change 415 on 2000/03/28 by <gbarr@pobox.com> (Graham Barr)

	Changes from <tobiasb@funcom.com> (Tobias Brox)
	Mail::Internet
	- now have a send sub for sending emails
	Mail::Header
	- now have a header_hashref sub which allows modification of the
	  object through hashrefs

Change 360 on 2000/02/16 by <gbarr@pobox.com> (Graham Barr)

	Mail::Address
	- Fix for nested comments

Change 350 on 2000/01/26 by <gbarr@pobox.com> (Graham Barr)

	Mail::Header
	- combine() should just return the line if there is only one

Change 349 on 2000/01/26 by <gbarr@pobox.com> (Graham Barr)

	Mail::Header
	- Fix bug in fold_line for when a header line only contains
	  a tag

Change 335 on 1999/09/24 by <gbarr@pobox.com> (Graham Barr)

	Mail::Internet
	- Added Hello option to smtpsend()

Change 292 on 1999/03/31 by <gbarr@pobox.com> (Graham Barr)

	Release 1.13

Change 291 on 1999/03/31 by <gbarr@pobox.com> (Graham Barr)

	Mail::Header
	- fold_line now skips X-Face lines
	
	Mail::Filter
	- Applied patch from <pncu_ss@uhura.cc.rochester.edu> (Josh Pincus)
	  * Added return value to _filter() so that the function returns 
	    the result of the last subroutine in the list of filters.
	    (the manpage specifies that one should have been able to do this
	    originally.)
	
	Mail::Mailer
	- Treat VMS the same as MacOS as neither have sendmail et al.
	
	Mail::Mailer::smtp
	- Server can now be specified to Mail::Mailer contructor
	
	Mail::Alias, Mail::Util,Mail:Internet, Mail::Cap
	- local-ize some globals used
	
	Mail::Cap
	- check in $ENV{HOME} is defined
	
	Mail::Address
	- Fix capitalization problems with names like "Ließegang"

Change 290 on 1999/03/31 by <gbarr@pobox.com> (Graham Barr)

	Increment version

Change 213 on 1998/10/22 by <gbarr@pobox.com> (Graham Barr)

	Mail::Address
	- Fix use of uninitialized warning

Change 190 on 1998/09/26 by <gbarr@pobox.com> (Graham Barr)

	Update Makefile.PL for release 1.12

Change 189 on 1998/09/26 by <gbarr@pobox.com> (Graham Barr)

	Mail::Internet
	- Added options to smtpsend
	
	Mail::Send
	- Updated docs for 'smtp'

Change 188 on 1998/09/26 by <gbarr@pobox.com> (Graham Barr)

	Mail::Header
	- Fix _fold_line for lines which contain quoted strings

Change 172 on 1998/07/10 by <gbarr@pobox.com> (Graham Barr)

	Mail::Address
	- avoid warnings if undef is passed to parse()

Change 169 on 1998/07/04 by <gbarr@pobox.com> (Graham Barr)

	Mail::Address
	- tweak to format to ensure comment is delimeted by ()
	- typo in docs

Change 168 on 1998/07/04 by <gbarr@pobox.com> (Graham Barr)

	- Documentation update to Mail::Internet

Change 166 on 1998/07/03 by <gbarr@pobox.com> (Graham Barr)

	Mail::Cap
	- Fixed mailcap search so it works on MacOS

Change 165 on 1998/07/03 by <gbarr@pobox.com> (Graham Barr)

	Mail::Mailer
	- Change to use Mail::Util::mailaddress
	
	Mail::Util
	- updated mailaddess to be aware of MacOS

Change 164 on 1998/06/30 by <gbarr@pobox.com> (Graham Barr)

	Mail::Header
	- fix read(0 and extract() not to require non-whitespace characters
	  on continuation lines, a single leading whitespace char is all
	  that is needed.

Change 163 on 1998/06/30 by <gbarr@pobox.com> (Graham Barr)

	- Applied patch from Roderick Schertler to
	
	 - Two places in Mail::Header are changed so they don't use $'.
	
	 - A Mail::Header::as_string method is added.
	
	 - Mail::Internet::as_string and as_mbox_string methods are added.
	   The mbox variant does encoding appropriate for appending a message
	   to a Unix mbox file.
	
	 - Tests for the three new methods are added.

Change 162 on 1998/06/30 by <gbarr@pobox.com> (Graham Barr)

	Mail::Util
	- tweak to what maildomain looks for in the sendmail config file

Sun Jun 28 1998 <gbarr@pobox.com> (Graham Barr)

	Mail::Address
	- Split out real handlers into their own .pm files
	- Added Mail::Mailer::smtp, this is the default for MacOS

Wed Jun 17 1998 <gbarr@pobox.com> (Graham Barr)

	Mail::Mailer
	- Applied patch from Slaven Rezic <eserte@cs.tu-berlin.de> to support
	  FreeBSD properly


	Mail::Address
	- Applied patch from Chuck O'Donnell to improve name extraction
	
	t/extract.t
	- change for new extraction

Sat Apr  4 1998 <gbarr@pobox.com> (Graham Barr)

	bin/*.PL
	- change "#!$Config{'scriptdir'}/perl -w\n" ot
	  $Config{'startperl'}," -w\n"

Thu Mar 19 1998 <gbarr@pobox.com> (Graham Barr)

	Mail::Field
	- modified so it works with perl < 5.004
	
	Makefile.PL
	- removed code to prevent installation of Mail::Field

Wed Feb 18 1998 <gbarr@pobox.com> (Graham Barr)

	Mail::Header
	- Added \Q and \E to some regexp's

Tue Feb 17 1998 <gbarr@pobox.com> (Graham Barr)

	Mail::Mailer
	- Added patch from Jeff Slovin to pass correct args to mailx on DG/UX

*** Release 1.11

Fri Jan  2 1998 <gbarr@pobox.com> (Graham Barr)

	Mail::Internet
	- Documentation updates
	
	Mail::Util
	- Fixed "Use of inherited AUTOLOAD" warning
	
	Mail::Mailer
	- Some version of mail do not like STDIN bot being a terminal
	  and also print 'EOT' to stdout when done. Opened STDOUT/ERR to
	  /dev/null
	
	Makefile.PL
	- Changed so that Mail::Field is not installed if perl version is less
	  than 5.004

	Mail::Mailer
	- removed all for(my $i ...) and foreach my $d as they break
	  compatibility with pre perl5.004

Tue Nov 25 1997 <gbarr@pobox.com> (Graham Barr)

	Mail::Mailer
	- Incremented VERSION, for some unknown reason it went backwards.

Mon Nov 17 1997 <gbarr@pobox.com> (Graham Barr)

	Mail::Util
	- Added /var/adm/sendmail to the list of directories to search
	  for sendmail.cf

Mon Nov 17 1997 <gbarr@pobox.com> (Graham Barr)
